#include <bits/stdc++.h>
using namespace std;
int N,Q,niz[200005],zahtev;

void prvi_deo_unosa(){
    scanf("%d",&N);
    scanf("%d",&Q);
    for(int i=1;i<=N;i++){
        scanf("%d",&niz[i]);
    }
}

void sortiraj(){
    sort(niz+1, niz+N+1);
}

int binarna_pretraga(){
    int L=1;
    int D=N;
    int srednji=(D+L)/2;
    //cout << "sdcdfdjebi se edssed" << endl;
    while(L<D){
        if(zahtev == niz[srednji]){
            break;
        }
        else{
            if(zahtev > niz[srednji]){
                L=srednji+1;
            }
            else D=(L+D)/2-1;
        }
        srednji=(L+D)/2;
        //cout << L << " " << D << endl;
    //  cout << "jebi se edssed" << endl;
    }
    //cout << L << " " << D << endl;
    //cout << srednji << endl;
    if(niz[srednji]!=zahtev){
        if(niz[srednji]<zahtev) srednji++;
    }
    return srednji;
}

int main (){
    prvi_deo_unosa();

    sortiraj();
    int L;
    for(int i=1;i<=Q;i++){
        scanf("%d",&zahtev);
        
        L=binarna_pretraga();
        if(niz[L]<niz[1]) L=0;
        if(niz[N/2+1]==zahtev) cout << 0 << endl;
        
        else {
            if(N%2==1){
                if(N/2+1<=L){
                    cout << (L-N/2-1)*2-1 << endl;
                }
                else {
                    if(niz[L]>zahtev){
                        L--;
                    }
                    cout << (N/2+1-L)*2 << endl;
                }
            }
            else{
                if(N/2+1>=L){
                    if(niz[1]>zahtev){
                        L--;
                    }
                    cout << (N/2+1-L)*2-1 << endl;
                }
                else {
                    if(niz[N]<zahtev){
                        L++;
                    }
                    cout << (L-N/2-1)*2 << endl;
                }
            }
        }
         //cout << L << endl;

        //cout << L << endl;
        /*






































        if(zahtev==niz[L]){
            if (N%2==1){
                if(N/2+1>L){
                    cout << (N/2+1-L)*2 << endl;
                }
                else {
                    cout << (L-N/2)*2-1 << endl;
                }
            }
            // okej , postoji
        }
        else{
            if(niz[L] < zahtev){
                L++;
            }
            else {
                L--;
            }
            if((N+1)/2+1>L){
                cout << ((N+1)/2+1-L)*2 << endl;
            }
            else {
                cout << (L-(N+1)/2)*2-1 << endl;
            }
        } */
    }

    return 0;
}